Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.52.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
240.52.0.0
Broadcast address
240.52.255.255
First usable
240.52.0.1
Last usable
240.52.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0340000 · Integer 4029939712 to 4030005247
Reverse DNS zone
52.240.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.00110100..00000000.00000000240.52.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11110000.00110100..00000000.00000000240.52.0.0
Broadcast11110000.00110100..11111111.11111111240.52.255.255
Split into smaller subnets/26

240.52.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.52.0.0/26240.52.0.1 to 240.52.0.62240.52.0.6362
2240.52.0.64/26240.52.0.65 to 240.52.0.126240.52.0.12762
3240.52.0.128/26240.52.0.129 to 240.52.0.190240.52.0.19162
4240.52.0.192/26240.52.0.193 to 240.52.0.254240.52.0.25562
5240.52.1.0/26240.52.1.1 to 240.52.1.62240.52.1.6362
6240.52.1.64/26240.52.1.65 to 240.52.1.126240.52.1.12762
7240.52.1.128/26240.52.1.129 to 240.52.1.190240.52.1.19162
8240.52.1.192/26240.52.1.193 to 240.52.1.254240.52.1.25562
9240.52.2.0/26240.52.2.1 to 240.52.2.62240.52.2.6362
10240.52.2.64/26240.52.2.65 to 240.52.2.126240.52.2.12762
11240.52.2.128/26240.52.2.129 to 240.52.2.190240.52.2.19162
12240.52.2.192/26240.52.2.193 to 240.52.2.254240.52.2.25562
13240.52.3.0/26240.52.3.1 to 240.52.3.62240.52.3.6362
14240.52.3.64/26240.52.3.65 to 240.52.3.126240.52.3.12762
15240.52.3.128/26240.52.3.129 to 240.52.3.190240.52.3.19162
16240.52.3.192/26240.52.3.193 to 240.52.3.254240.52.3.25562
17240.52.4.0/26240.52.4.1 to 240.52.4.62240.52.4.6362
18240.52.4.64/26240.52.4.65 to 240.52.4.126240.52.4.12762
19240.52.4.128/26240.52.4.129 to 240.52.4.190240.52.4.19162
20240.52.4.192/26240.52.4.193 to 240.52.4.254240.52.4.25562
21240.52.5.0/26240.52.5.1 to 240.52.5.62240.52.5.6362
22240.52.5.64/26240.52.5.65 to 240.52.5.126240.52.5.12762
23240.52.5.128/26240.52.5.129 to 240.52.5.190240.52.5.19162
24240.52.5.192/26240.52.5.193 to 240.52.5.254240.52.5.25562
25240.52.6.0/26240.52.6.1 to 240.52.6.62240.52.6.6362
26240.52.6.64/26240.52.6.65 to 240.52.6.126240.52.6.12762
27240.52.6.128/26240.52.6.129 to 240.52.6.190240.52.6.19162
28240.52.6.192/26240.52.6.193 to 240.52.6.254240.52.6.25562
29240.52.7.0/26240.52.7.1 to 240.52.7.62240.52.7.6362
30240.52.7.64/26240.52.7.65 to 240.52.7.126240.52.7.12762
31240.52.7.128/26240.52.7.129 to 240.52.7.190240.52.7.19162
32240.52.7.192/26240.52.7.193 to 240.52.7.254240.52.7.25562
33240.52.8.0/26240.52.8.1 to 240.52.8.62240.52.8.6362
34240.52.8.64/26240.52.8.65 to 240.52.8.126240.52.8.12762
35240.52.8.128/26240.52.8.129 to 240.52.8.190240.52.8.19162
36240.52.8.192/26240.52.8.193 to 240.52.8.254240.52.8.25562
37240.52.9.0/26240.52.9.1 to 240.52.9.62240.52.9.6362
38240.52.9.64/26240.52.9.65 to 240.52.9.126240.52.9.12762
39240.52.9.128/26240.52.9.129 to 240.52.9.190240.52.9.19162
40240.52.9.192/26240.52.9.193 to 240.52.9.254240.52.9.25562
41240.52.10.0/26240.52.10.1 to 240.52.10.62240.52.10.6362
42240.52.10.64/26240.52.10.65 to 240.52.10.126240.52.10.12762
43240.52.10.128/26240.52.10.129 to 240.52.10.190240.52.10.19162
44240.52.10.192/26240.52.10.193 to 240.52.10.254240.52.10.25562
45240.52.11.0/26240.52.11.1 to 240.52.11.62240.52.11.6362
46240.52.11.64/26240.52.11.65 to 240.52.11.126240.52.11.12762
47240.52.11.128/26240.52.11.129 to 240.52.11.190240.52.11.19162
48240.52.11.192/26240.52.11.193 to 240.52.11.254240.52.11.25562
49240.52.12.0/26240.52.12.1 to 240.52.12.62240.52.12.6362
50240.52.12.64/26240.52.12.65 to 240.52.12.126240.52.12.12762
51240.52.12.128/26240.52.12.129 to 240.52.12.190240.52.12.19162
52240.52.12.192/26240.52.12.193 to 240.52.12.254240.52.12.25562
53240.52.13.0/26240.52.13.1 to 240.52.13.62240.52.13.6362
54240.52.13.64/26240.52.13.65 to 240.52.13.126240.52.13.12762
55240.52.13.128/26240.52.13.129 to 240.52.13.190240.52.13.19162
56240.52.13.192/26240.52.13.193 to 240.52.13.254240.52.13.25562
57240.52.14.0/26240.52.14.1 to 240.52.14.62240.52.14.6362
58240.52.14.64/26240.52.14.65 to 240.52.14.126240.52.14.12762
59240.52.14.128/26240.52.14.129 to 240.52.14.190240.52.14.19162
60240.52.14.192/26240.52.14.193 to 240.52.14.254240.52.14.25562
61240.52.15.0/26240.52.15.1 to 240.52.15.62240.52.15.6362
62240.52.15.64/26240.52.15.65 to 240.52.15.126240.52.15.12762
63240.52.15.128/26240.52.15.129 to 240.52.15.190240.52.15.19162
64240.52.15.192/26240.52.15.193 to 240.52.15.254240.52.15.25562
65240.52.16.0/26240.52.16.1 to 240.52.16.62240.52.16.6362
66240.52.16.64/26240.52.16.65 to 240.52.16.126240.52.16.12762
67240.52.16.128/26240.52.16.129 to 240.52.16.190240.52.16.19162
68240.52.16.192/26240.52.16.193 to 240.52.16.254240.52.16.25562
69240.52.17.0/26240.52.17.1 to 240.52.17.62240.52.17.6362
70240.52.17.64/26240.52.17.65 to 240.52.17.126240.52.17.12762
71240.52.17.128/26240.52.17.129 to 240.52.17.190240.52.17.19162
72240.52.17.192/26240.52.17.193 to 240.52.17.254240.52.17.25562
73240.52.18.0/26240.52.18.1 to 240.52.18.62240.52.18.6362
74240.52.18.64/26240.52.18.65 to 240.52.18.126240.52.18.12762
75240.52.18.128/26240.52.18.129 to 240.52.18.190240.52.18.19162
76240.52.18.192/26240.52.18.193 to 240.52.18.254240.52.18.25562
77240.52.19.0/26240.52.19.1 to 240.52.19.62240.52.19.6362
78240.52.19.64/26240.52.19.65 to 240.52.19.126240.52.19.12762
79240.52.19.128/26240.52.19.129 to 240.52.19.190240.52.19.19162
80240.52.19.192/26240.52.19.193 to 240.52.19.254240.52.19.25562
81240.52.20.0/26240.52.20.1 to 240.52.20.62240.52.20.6362
82240.52.20.64/26240.52.20.65 to 240.52.20.126240.52.20.12762
83240.52.20.128/26240.52.20.129 to 240.52.20.190240.52.20.19162
84240.52.20.192/26240.52.20.193 to 240.52.20.254240.52.20.25562
85240.52.21.0/26240.52.21.1 to 240.52.21.62240.52.21.6362
86240.52.21.64/26240.52.21.65 to 240.52.21.126240.52.21.12762
87240.52.21.128/26240.52.21.129 to 240.52.21.190240.52.21.19162
88240.52.21.192/26240.52.21.193 to 240.52.21.254240.52.21.25562
89240.52.22.0/26240.52.22.1 to 240.52.22.62240.52.22.6362
90240.52.22.64/26240.52.22.65 to 240.52.22.126240.52.22.12762
91240.52.22.128/26240.52.22.129 to 240.52.22.190240.52.22.19162
92240.52.22.192/26240.52.22.193 to 240.52.22.254240.52.22.25562
93240.52.23.0/26240.52.23.1 to 240.52.23.62240.52.23.6362
94240.52.23.64/26240.52.23.65 to 240.52.23.126240.52.23.12762
95240.52.23.128/26240.52.23.129 to 240.52.23.190240.52.23.19162
96240.52.23.192/26240.52.23.193 to 240.52.23.254240.52.23.25562
97240.52.24.0/26240.52.24.1 to 240.52.24.62240.52.24.6362
98240.52.24.64/26240.52.24.65 to 240.52.24.126240.52.24.12762
99240.52.24.128/26240.52.24.129 to 240.52.24.190240.52.24.19162
100240.52.24.192/26240.52.24.193 to 240.52.24.254240.52.24.25562
101240.52.25.0/26240.52.25.1 to 240.52.25.62240.52.25.6362
102240.52.25.64/26240.52.25.65 to 240.52.25.126240.52.25.12762
103240.52.25.128/26240.52.25.129 to 240.52.25.190240.52.25.19162
104240.52.25.192/26240.52.25.193 to 240.52.25.254240.52.25.25562
105240.52.26.0/26240.52.26.1 to 240.52.26.62240.52.26.6362
106240.52.26.64/26240.52.26.65 to 240.52.26.126240.52.26.12762
107240.52.26.128/26240.52.26.129 to 240.52.26.190240.52.26.19162
108240.52.26.192/26240.52.26.193 to 240.52.26.254240.52.26.25562
109240.52.27.0/26240.52.27.1 to 240.52.27.62240.52.27.6362
110240.52.27.64/26240.52.27.65 to 240.52.27.126240.52.27.12762
111240.52.27.128/26240.52.27.129 to 240.52.27.190240.52.27.19162
112240.52.27.192/26240.52.27.193 to 240.52.27.254240.52.27.25562
113240.52.28.0/26240.52.28.1 to 240.52.28.62240.52.28.6362
114240.52.28.64/26240.52.28.65 to 240.52.28.126240.52.28.12762
115240.52.28.128/26240.52.28.129 to 240.52.28.190240.52.28.19162
116240.52.28.192/26240.52.28.193 to 240.52.28.254240.52.28.25562
117240.52.29.0/26240.52.29.1 to 240.52.29.62240.52.29.6362
118240.52.29.64/26240.52.29.65 to 240.52.29.126240.52.29.12762
119240.52.29.128/26240.52.29.129 to 240.52.29.190240.52.29.19162
120240.52.29.192/26240.52.29.193 to 240.52.29.254240.52.29.25562
121240.52.30.0/26240.52.30.1 to 240.52.30.62240.52.30.6362
122240.52.30.64/26240.52.30.65 to 240.52.30.126240.52.30.12762
123240.52.30.128/26240.52.30.129 to 240.52.30.190240.52.30.19162
124240.52.30.192/26240.52.30.193 to 240.52.30.254240.52.30.25562
125240.52.31.0/26240.52.31.1 to 240.52.31.62240.52.31.6362
126240.52.31.64/26240.52.31.65 to 240.52.31.126240.52.31.12762
127240.52.31.128/26240.52.31.129 to 240.52.31.190240.52.31.19162
128240.52.31.192/26240.52.31.193 to 240.52.31.254240.52.31.25562
129240.52.32.0/26240.52.32.1 to 240.52.32.62240.52.32.6362
130240.52.32.64/26240.52.32.65 to 240.52.32.126240.52.32.12762
131240.52.32.128/26240.52.32.129 to 240.52.32.190240.52.32.19162
132240.52.32.192/26240.52.32.193 to 240.52.32.254240.52.32.25562
133240.52.33.0/26240.52.33.1 to 240.52.33.62240.52.33.6362
134240.52.33.64/26240.52.33.65 to 240.52.33.126240.52.33.12762
135240.52.33.128/26240.52.33.129 to 240.52.33.190240.52.33.19162
136240.52.33.192/26240.52.33.193 to 240.52.33.254240.52.33.25562
137240.52.34.0/26240.52.34.1 to 240.52.34.62240.52.34.6362
138240.52.34.64/26240.52.34.65 to 240.52.34.126240.52.34.12762
139240.52.34.128/26240.52.34.129 to 240.52.34.190240.52.34.19162
140240.52.34.192/26240.52.34.193 to 240.52.34.254240.52.34.25562
141240.52.35.0/26240.52.35.1 to 240.52.35.62240.52.35.6362
142240.52.35.64/26240.52.35.65 to 240.52.35.126240.52.35.12762
143240.52.35.128/26240.52.35.129 to 240.52.35.190240.52.35.19162
144240.52.35.192/26240.52.35.193 to 240.52.35.254240.52.35.25562
145240.52.36.0/26240.52.36.1 to 240.52.36.62240.52.36.6362
146240.52.36.64/26240.52.36.65 to 240.52.36.126240.52.36.12762
147240.52.36.128/26240.52.36.129 to 240.52.36.190240.52.36.19162
148240.52.36.192/26240.52.36.193 to 240.52.36.254240.52.36.25562
149240.52.37.0/26240.52.37.1 to 240.52.37.62240.52.37.6362
150240.52.37.64/26240.52.37.65 to 240.52.37.126240.52.37.12762
151240.52.37.128/26240.52.37.129 to 240.52.37.190240.52.37.19162
152240.52.37.192/26240.52.37.193 to 240.52.37.254240.52.37.25562
153240.52.38.0/26240.52.38.1 to 240.52.38.62240.52.38.6362
154240.52.38.64/26240.52.38.65 to 240.52.38.126240.52.38.12762
155240.52.38.128/26240.52.38.129 to 240.52.38.190240.52.38.19162
156240.52.38.192/26240.52.38.193 to 240.52.38.254240.52.38.25562
157240.52.39.0/26240.52.39.1 to 240.52.39.62240.52.39.6362
158240.52.39.64/26240.52.39.65 to 240.52.39.126240.52.39.12762
159240.52.39.128/26240.52.39.129 to 240.52.39.190240.52.39.19162
160240.52.39.192/26240.52.39.193 to 240.52.39.254240.52.39.25562
161240.52.40.0/26240.52.40.1 to 240.52.40.62240.52.40.6362
162240.52.40.64/26240.52.40.65 to 240.52.40.126240.52.40.12762
163240.52.40.128/26240.52.40.129 to 240.52.40.190240.52.40.19162
164240.52.40.192/26240.52.40.193 to 240.52.40.254240.52.40.25562
165240.52.41.0/26240.52.41.1 to 240.52.41.62240.52.41.6362
166240.52.41.64/26240.52.41.65 to 240.52.41.126240.52.41.12762
167240.52.41.128/26240.52.41.129 to 240.52.41.190240.52.41.19162
168240.52.41.192/26240.52.41.193 to 240.52.41.254240.52.41.25562
169240.52.42.0/26240.52.42.1 to 240.52.42.62240.52.42.6362
170240.52.42.64/26240.52.42.65 to 240.52.42.126240.52.42.12762
171240.52.42.128/26240.52.42.129 to 240.52.42.190240.52.42.19162
172240.52.42.192/26240.52.42.193 to 240.52.42.254240.52.42.25562
173240.52.43.0/26240.52.43.1 to 240.52.43.62240.52.43.6362
174240.52.43.64/26240.52.43.65 to 240.52.43.126240.52.43.12762
175240.52.43.128/26240.52.43.129 to 240.52.43.190240.52.43.19162
176240.52.43.192/26240.52.43.193 to 240.52.43.254240.52.43.25562
177240.52.44.0/26240.52.44.1 to 240.52.44.62240.52.44.6362
178240.52.44.64/26240.52.44.65 to 240.52.44.126240.52.44.12762
179240.52.44.128/26240.52.44.129 to 240.52.44.190240.52.44.19162
180240.52.44.192/26240.52.44.193 to 240.52.44.254240.52.44.25562
181240.52.45.0/26240.52.45.1 to 240.52.45.62240.52.45.6362
182240.52.45.64/26240.52.45.65 to 240.52.45.126240.52.45.12762
183240.52.45.128/26240.52.45.129 to 240.52.45.190240.52.45.19162
184240.52.45.192/26240.52.45.193 to 240.52.45.254240.52.45.25562
185240.52.46.0/26240.52.46.1 to 240.52.46.62240.52.46.6362
186240.52.46.64/26240.52.46.65 to 240.52.46.126240.52.46.12762
187240.52.46.128/26240.52.46.129 to 240.52.46.190240.52.46.19162
188240.52.46.192/26240.52.46.193 to 240.52.46.254240.52.46.25562
189240.52.47.0/26240.52.47.1 to 240.52.47.62240.52.47.6362
190240.52.47.64/26240.52.47.65 to 240.52.47.126240.52.47.12762
191240.52.47.128/26240.52.47.129 to 240.52.47.190240.52.47.19162
192240.52.47.192/26240.52.47.193 to 240.52.47.254240.52.47.25562
193240.52.48.0/26240.52.48.1 to 240.52.48.62240.52.48.6362
194240.52.48.64/26240.52.48.65 to 240.52.48.126240.52.48.12762
195240.52.48.128/26240.52.48.129 to 240.52.48.190240.52.48.19162
196240.52.48.192/26240.52.48.193 to 240.52.48.254240.52.48.25562
197240.52.49.0/26240.52.49.1 to 240.52.49.62240.52.49.6362
198240.52.49.64/26240.52.49.65 to 240.52.49.126240.52.49.12762
199240.52.49.128/26240.52.49.129 to 240.52.49.190240.52.49.19162
200240.52.49.192/26240.52.49.193 to 240.52.49.254240.52.49.25562
201240.52.50.0/26240.52.50.1 to 240.52.50.62240.52.50.6362
202240.52.50.64/26240.52.50.65 to 240.52.50.126240.52.50.12762
203240.52.50.128/26240.52.50.129 to 240.52.50.190240.52.50.19162
204240.52.50.192/26240.52.50.193 to 240.52.50.254240.52.50.25562
205240.52.51.0/26240.52.51.1 to 240.52.51.62240.52.51.6362
206240.52.51.64/26240.52.51.65 to 240.52.51.126240.52.51.12762
207240.52.51.128/26240.52.51.129 to 240.52.51.190240.52.51.19162
208240.52.51.192/26240.52.51.193 to 240.52.51.254240.52.51.25562
209240.52.52.0/26240.52.52.1 to 240.52.52.62240.52.52.6362
210240.52.52.64/26240.52.52.65 to 240.52.52.126240.52.52.12762
211240.52.52.128/26240.52.52.129 to 240.52.52.190240.52.52.19162
212240.52.52.192/26240.52.52.193 to 240.52.52.254240.52.52.25562
213240.52.53.0/26240.52.53.1 to 240.52.53.62240.52.53.6362
214240.52.53.64/26240.52.53.65 to 240.52.53.126240.52.53.12762
215240.52.53.128/26240.52.53.129 to 240.52.53.190240.52.53.19162
216240.52.53.192/26240.52.53.193 to 240.52.53.254240.52.53.25562
217240.52.54.0/26240.52.54.1 to 240.52.54.62240.52.54.6362
218240.52.54.64/26240.52.54.65 to 240.52.54.126240.52.54.12762
219240.52.54.128/26240.52.54.129 to 240.52.54.190240.52.54.19162
220240.52.54.192/26240.52.54.193 to 240.52.54.254240.52.54.25562
221240.52.55.0/26240.52.55.1 to 240.52.55.62240.52.55.6362
222240.52.55.64/26240.52.55.65 to 240.52.55.126240.52.55.12762
223240.52.55.128/26240.52.55.129 to 240.52.55.190240.52.55.19162
224240.52.55.192/26240.52.55.193 to 240.52.55.254240.52.55.25562
225240.52.56.0/26240.52.56.1 to 240.52.56.62240.52.56.6362
226240.52.56.64/26240.52.56.65 to 240.52.56.126240.52.56.12762
227240.52.56.128/26240.52.56.129 to 240.52.56.190240.52.56.19162
228240.52.56.192/26240.52.56.193 to 240.52.56.254240.52.56.25562
229240.52.57.0/26240.52.57.1 to 240.52.57.62240.52.57.6362
230240.52.57.64/26240.52.57.65 to 240.52.57.126240.52.57.12762
231240.52.57.128/26240.52.57.129 to 240.52.57.190240.52.57.19162
232240.52.57.192/26240.52.57.193 to 240.52.57.254240.52.57.25562
233240.52.58.0/26240.52.58.1 to 240.52.58.62240.52.58.6362
234240.52.58.64/26240.52.58.65 to 240.52.58.126240.52.58.12762
235240.52.58.128/26240.52.58.129 to 240.52.58.190240.52.58.19162
236240.52.58.192/26240.52.58.193 to 240.52.58.254240.52.58.25562
237240.52.59.0/26240.52.59.1 to 240.52.59.62240.52.59.6362
238240.52.59.64/26240.52.59.65 to 240.52.59.126240.52.59.12762
239240.52.59.128/26240.52.59.129 to 240.52.59.190240.52.59.19162
240240.52.59.192/26240.52.59.193 to 240.52.59.254240.52.59.25562
241240.52.60.0/26240.52.60.1 to 240.52.60.62240.52.60.6362
242240.52.60.64/26240.52.60.65 to 240.52.60.126240.52.60.12762
243240.52.60.128/26240.52.60.129 to 240.52.60.190240.52.60.19162
244240.52.60.192/26240.52.60.193 to 240.52.60.254240.52.60.25562
245240.52.61.0/26240.52.61.1 to 240.52.61.62240.52.61.6362
246240.52.61.64/26240.52.61.65 to 240.52.61.126240.52.61.12762
247240.52.61.128/26240.52.61.129 to 240.52.61.190240.52.61.19162
248240.52.61.192/26240.52.61.193 to 240.52.61.254240.52.61.25562
249240.52.62.0/26240.52.62.1 to 240.52.62.62240.52.62.6362
250240.52.62.64/26240.52.62.65 to 240.52.62.126240.52.62.12762
251240.52.62.128/26240.52.62.129 to 240.52.62.190240.52.62.19162
252240.52.62.192/26240.52.62.193 to 240.52.62.254240.52.62.25562
253240.52.63.0/26240.52.63.1 to 240.52.63.62240.52.63.6362
254240.52.63.64/26240.52.63.65 to 240.52.63.126240.52.63.12762
255240.52.63.128/26240.52.63.129 to 240.52.63.190240.52.63.19162
256240.52.63.192/26240.52.63.193 to 240.52.63.254240.52.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses